/* Теоритичні питання:
1. В чому полягає відмінність localStorage і sessionStorage?
2. Які аспекти безпеки слід враховувати при збереженні чутливої інформації, такої як паролі, за допомогою localStorage чи sessionStorage?
3. Що відбувається з даними, збереженими в sessionStorage, коли завершується сеанс браузера?

Практичне завдання:

Реалізувати можливість зміни колірної теми користувача.

Технічні вимоги:

- Взяти готове домашнє завдання HW-4 "Price cards" з блоку Basic HMTL/CSS.
- Додати на макеті кнопку "Змінити тему".
- При натисканні на кнопку - змінювати колірну гаму сайту (кольори кнопок, фону тощо) на ваш розсуд. 
    При повторному натискання - повертати все як було спочатку - начебто для сторінки доступні дві колірні теми.
- Вибрана тема повинна зберігатися після перезавантаження сторінки.

Примітки: 
- при виконанні завдання перебирати та задавати стилі всім елементам за допомогою js буде вважатись помилкою;
- зміна інших стилів сторінки, окрім кольорів буде вважатись помилкою.

Додаткові матеріали: https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties.
*/ 


//Створюємо елемент з посиланням на нові стилі для файлу html
const black = document.createElement('link');
black.rel = 'stylesheet';
black.href = 'styles/black.css';


//Створюємо змінну для конопки 
let changeTheme = document.querySelector('.theme')

//Створюємо на цю кнопку івент на клік
changeTheme.addEventListener('click', ()=> {
    
    //По івенту до head буде додаватися лінк на нові стилі. Також якщо при івенті лінк вже доданий, то івент його видаляє
    black.parentElement ? document.head.removeChild(black) : document.head.appendChild(black);
    
    //Створюємо змінну в яку збережемо останній лінк в head
    

    //Збережемо данні про цей лінк в сховищі
    localStorage.setItem('nowTheme', document.head.lastElementChild.href);

})

//Створюємо умову яка після оновлення сторінки буде перевіряти чи співпадає лінк у сховищі з лінком нових стилів, і якщо так, то дадасть стилі до head.

if (localStorage.getItem('nowTheme') === black.href) {
    document.head.appendChild(black);
}




